TypeAnnotation.OffsetTarget (Java SE 25 & JDK 25)
Description: declaration: module: java.base, package: java.lang.classfile, interface: TypeAnnotation, interface: OffsetTarget
Keywords: java.lang.classfile.TypeAnnotation.OffsetTarget interface

# Interface TypeAnnotation.OffsetTarget

All Superinterfaces:
  `TypeAnnotation.TargetInfo`

Enclosing interface:
  `TypeAnnotation`

public static sealed interface TypeAnnotation.OffsetTarget extends TypeAnnotation.TargetInfo
Indicates that an annotation appears on either the type in an instanceof expression or a new expression, or the type before the :: in a method reference expression.

Since:
  24
See Also:
  - `TypeAnnotation.TargetInfo.ofOffset(TargetType, Label)`
  - `TypeAnnotation.TargetInfo.ofNewExpr(Label)`
  - `TypeAnnotation.TargetInfo.ofInstanceofExpr(Label)`
  - `TypeAnnotation.TargetInfo.ofConstructorReference(Label)`
  - `TypeAnnotation.TargetInfo.ofMethodReference(Label)`

- ## Field Summary

  ### Fields declared in interface TypeAnnotation.TargetInfo

  `TARGET_CAST, TARGET_CLASS_EXTENDS, TARGET_CLASS_TYPE_PARAMETER, TARGET_CLASS_TYPE_PARAMETER_BOUND, TARGET_CONSTRUCTOR_INVOCATION_TYPE_ARGUMENT, TARGET_CONSTRUCTOR_REFERENCE, TARGET_CONSTRUCTOR_REFERENCE_TYPE_ARGUMENT, TARGET_EXCEPTION_PARAMETER, TARGET_FIELD, TARGET_INSTANCEOF, TARGET_LOCAL_VARIABLE, TARGET_METHOD_FORMAL_PARAMETER, TARGET_METHOD_INVOCATION_TYPE_ARGUMENT, TARGET_METHOD_RECEIVER, TARGET_METHOD_REFERENCE, TARGET_METHOD_REFERENCE_TYPE_ARGUMENT, TARGET_METHOD_RETURN, TARGET_METHOD_TYPE_PARAMETER, TARGET_METHOD_TYPE_PARAMETER_BOUND, TARGET_NEW, TARGET_RESOURCE_VARIABLE, TARGET_THROWS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Label`
  `target()`
  The label right before the `Instruction` corresponding to the instanceof expression, the new expression, or the method reference expression.

  ### Methods declared in interface TypeAnnotation.TargetInfo

  `size, targetType`

- ## Method Details

  - ### target

    Label target()
    The label right before the `Instruction` corresponding to the instanceof expression, the new expression, or the method reference expression.
    Returns:
      the label right before the instruction